---
title: "Release v0.21.1"
linkTitle: "Release v0.21.1"
date: 2021-11-04
description: >
 Release v0.21.1
---

## Changelog since v0.21.0

### Notable Changes

* Terraform deployment
    - Allow configuring additional flags for Terraform commands ([#2736](https://github.com/pipe-cd/pipecd/pull/2736))
* Event watcher
    - Prevent Eventwatcher from handling events already handled ([#2720](https://github.com/pipe-cd/pipecd/pull/2720))
* Notification
    - Add an option to mention the given Slack users for all notification events ([#2682](https://github.com/pipe-cd/pipecd/pull/2682))
* Piped operation
    - Stop launcher immediately in case it's failed on the first start ([#2732](https://github.com/pipe-cd/pipecd/pull/2732))
    - Stop requiring "webAddress" field in Piped configuration ([#2717](https://github.com/pipe-cd/pipecd/pull/2717))

### Internal Changes

* Improve installing docs for ECS Fargate ([#2730](https://github.com/pipe-cd/pipecd/pull/2730))
* Allow configuring additional flags for Terraform commands ([#2736](https://github.com/pipe-cd/pipecd/pull/2736))
* Remove unreachable code ([#2737](https://github.com/pipe-cd/pipecd/pull/2737))
* Make sync stable docs command works without the specified version input ([#2735](https://github.com/pipe-cd/pipecd/pull/2735))
* Add kurochan-san to contributor list ([#2733](https://github.com/pipe-cd/pipecd/pull/2733))
* Avoid to emit annoying error log for app live state ([#2727](https://github.com/pipe-cd/pipecd/pull/2727))
* Remove invalid snippet on the pipectl doc ([#2726](https://github.com/pipe-cd/pipecd/pull/2726))
* Add monthly update for 11/2021 ([#2721](https://github.com/pipe-cd/pipecd/pull/2721))
* Add sync stable docs command ([#2724](https://github.com/pipe-cd/pipecd/pull/2724))
* Fix gap between stable version docs and latest v0.21.0 docs ([#2725](https://github.com/pipe-cd/pipecd/pull/2725))
* Add missing roles required while installing control-plane by using GCS ([#2723](https://github.com/pipe-cd/pipecd/pull/2723))
* Update piped installation on google cloud vm to use launcher ([#2719](https://github.com/pipe-cd/pipecd/pull/2719))
* Add some tests for authentication parts ([#2718](https://github.com/pipe-cd/pipecd/pull/2718))
* Add one of user guide pages in Japanese to doc ([#2707](https://github.com/pipe-cd/pipecd/pull/2707))
* Add several tests for the method to validate AnalysisTemplateRef ([#2716](https://github.com/pipe-cd/pipecd/pull/2716))
* Add the field to retrieve the url of control plane ([#2713](https://github.com/pipe-cd/pipecd/pull/2713))
* Modify one of user-guide pages to make it easier to read ([#2715](https://github.com/pipe-cd/pipecd/pull/2715))
* Update web development guide to be more clear what to do ([#2709](https://github.com/pipe-cd/pipecd/pull/2709))
* Make sure to send all remaining events when closing webhook sender ([#2708](https://github.com/pipe-cd/pipecd/pull/2708))
* Allow WebAPI to accept tags when adding/updating app ([#2698](https://github.com/pipe-cd/pipecd/pull/2698))
* Add a simple example to configure sending notification via webhook ([#2702](https://github.com/pipe-cd/pipecd/pull/2702))
* Make pipectl possible to register app with description and tags ([#2706](https://github.com/pipe-cd/pipecd/pull/2706))
* Ensure to pass application's tags to deployment when triggering ([#2705](https://github.com/pipe-cd/pipecd/pull/2705))
* Clean up bazel rules for cmd package ([#2704](https://github.com/pipe-cd/pipecd/pull/2704))
* Add some tests for the method to Validate Encryption ([#2703](https://github.com/pipe-cd/pipecd/pull/2703))
* Update Slack mention examples ([#2683](https://github.com/pipe-cd/pipecd/pull/2683))
* Fix typo environment name in docs ([#2701](https://github.com/pipe-cd/pipecd/pull/2701))
* Empower WebAPI to filter deployments by tags ([#2695](https://github.com/pipe-cd/pipecd/pull/2695))
* Update piped install on fargate guide ([#2699](https://github.com/pipe-cd/pipecd/pull/2699))
* Empower WebAPI to filter applications by tags ([#2697](https://github.com/pipe-cd/pipecd/pull/2697))
