---
title: "Release v0.40.0"
linkTitle: "Release v0.40.0"
date: 2022-11-30
description: >
 Release v0.40.0
---

## Changes since v0.39.0
### Notable Changes

* Enable to restart Piped from the PipeCD console ([#3988](https://github.com/pipe-cd/pipecd/pull/3988))
* Allow config MySQL database via config URL ([#4017](https://github.com/pipe-cd/pipecd/pull/4017))
* Fix K8s resources are not pruned even if running Quick Sync ([#3991](https://github.com/pipe-cd/pipecd/pull/3991))

### Internal Changes

* Update web dependencies ([#4031](https://github.com/pipe-cd/pipecd/pull/4031))
* Fix the invalid link ([#4027](https://github.com/pipe-cd/pipecd/pull/4027))
* Bump glob-parent from 5.1.1 to 5.1.2 in /web ([#4030](https://github.com/pipe-cd/pipecd/pull/4030))
* Bump follow-redirects from 1.11.0 to 1.15.2 in /web ([#4028](https://github.com/pipe-cd/pipecd/pull/4028))
* Bump nanoid from 3.1.29 to 3.3.4 in /docs ([#4029](https://github.com/pipe-cd/pipecd/pull/4029))
* Bump node-fetch from 2.6.1 to 2.6.7 in /web ([#3380](https://github.com/pipe-cd/pipecd/pull/3380))
* Bump ansi-regex from 5.0.0 to 5.0.1 in /web ([#4026](https://github.com/pipe-cd/pipecd/pull/4026))
* Bump terser from 5.6.1 to 5.16.0 in /web ([#4025](https://github.com/pipe-cd/pipecd/pull/4025))
* Update examples readme ([#4022](https://github.com/pipe-cd/pipecd/pull/4022))
* Update web dependencies ([#4021](https://github.com/pipe-cd/pipecd/pull/4021))
* Add readme to manifests directory ([#4020](https://github.com/pipe-cd/pipecd/pull/4020))
* Add docs for upgrading control plane ([#4019](https://github.com/pipe-cd/pipecd/pull/4019))
* Sync docs ([#4018](https://github.com/pipe-cd/pipecd/pull/4018))
* Add frontend implementation for Insights feature ([#4010](https://github.com/pipe-cd/pipecd/pull/4010))
* Bump path-parse from 1.0.6 to 1.0.7 in /web ([#4013](https://github.com/pipe-cd/pipecd/pull/4013))
* Bump ajv from 6.12.2 to 6.12.6 in /web ([#4016](https://github.com/pipe-cd/pipecd/pull/4016))
* Bump ws from 6.2.1 to 6.2.2 in /web ([#4015](https://github.com/pipe-cd/pipecd/pull/4015))
* Bump browserslist from 4.14.7 to 4.21.4 in /web ([#4014](https://github.com/pipe-cd/pipecd/pull/4014))
* Bump dns-packet from 1.3.1 to 1.3.4 in /web ([#4012](https://github.com/pipe-cd/pipecd/pull/4012))
* Bump tmpl from 1.0.4 to 1.0.5 in /web ([#4011](https://github.com/pipe-cd/pipecd/pull/4011))
* Bump websocket-extensions from 0.1.3 to 0.1.4 in /web ([#4009](https://github.com/pipe-cd/pipecd/pull/4009))
* Bump y18n from 4.0.0 to 4.0.3 in /web ([#4008](https://github.com/pipe-cd/pipecd/pull/4008))
* Make it possible to use labels to filter insight data ([#4007](https://github.com/pipe-cd/pipecd/pull/4007))
* Fix to escape the user-provided value for ops ([#4006](https://github.com/pipe-cd/pipecd/pull/4006))
* Update web dependencies ([#4005](https://github.com/pipe-cd/pipecd/pull/4005))
* Migrate from legacy loaders to asset module ([#4004](https://github.com/pipe-cd/pipecd/pull/4004))
* Make it possible to specify InsightStep in GetInsightData RPC ([#4003](https://github.com/pipe-cd/pipecd/pull/4003))
* Add GetInsightData RPC under a feature flag ([#4002](https://github.com/pipe-cd/pipecd/pull/4002))
* Add web components for Insights feature ([#4000](https://github.com/pipe-cd/pipecd/pull/4000))
* Add fix lint web command ([#4001](https://github.com/pipe-cd/pipecd/pull/4001))
* Add missing json tags for application data ([#3999](https://github.com/pipe-cd/pipecd/pull/3999))
* Add missing indexes for insights and minor fixes ([#3998](https://github.com/pipe-cd/pipecd/pull/3998))
* Add backend implementation for Insights feature ([#3993](https://github.com/pipe-cd/pipecd/pull/3993))
* Update Go version to v1.19 ([#3997](https://github.com/pipe-cd/pipecd/pull/3997))
* Fix the wrong link for registering a piped docs ([#3996](https://github.com/pipe-cd/pipecd/pull/3996))
* Add code of conduct ([#3994](https://github.com/pipe-cd/pipecd/pull/3994))
* Add maintainers list ([#3992](https://github.com/pipe-cd/pipecd/pull/3992))
* Add restart piped UI ([#3990](https://github.com/pipe-cd/pipecd/pull/3990))
* Fix the invalid link ([#3989](https://github.com/pipe-cd/pipecd/pull/3989))
* Bump minimatch from 3.0.4 to 3.1.2 in /web ([#3987](https://github.com/pipe-cd/pipecd/pull/3987))
* Bump loader-utils from 1.4.1 to 1.4.2 in /web ([#3986](https://github.com/pipe-cd/pipecd/pull/3986))
* Fix to use the relative path for the docs ([#3985](https://github.com/pipe-cd/pipecd/pull/3985))
* Update quickstart docs ([#3983](https://github.com/pipe-cd/pipecd/pull/3983))
* Fix all links for dev docs ([#3984](https://github.com/pipe-cd/pipecd/pull/3984))
* Remove the old docs ([#3982](https://github.com/pipe-cd/pipecd/pull/3982))
* Update release v0.39.0 blog ([#3979](https://github.com/pipe-cd/pipecd/pull/3979))
* Bump loader-utils from 1.4.0 to 1.4.1 in /web ([#3981](https://github.com/pipe-cd/pipecd/pull/3981))
