// Copyright 2022 The PipeCD Authors.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.19.4
// source: pkg/model/notificationevent.proto

package model

import (
	_ "github.com/envoyproxy/protoc-gen-validate/validate"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type NotificationEventType int32

const (
	NotificationEventType_EVENT_DEPLOYMENT_TRIGGERED      NotificationEventType = 0
	NotificationEventType_EVENT_DEPLOYMENT_PLANNED        NotificationEventType = 1
	NotificationEventType_EVENT_DEPLOYMENT_APPROVED       NotificationEventType = 2
	NotificationEventType_EVENT_DEPLOYMENT_ROLLING_BACK   NotificationEventType = 3
	NotificationEventType_EVENT_DEPLOYMENT_SUCCEEDED      NotificationEventType = 4
	NotificationEventType_EVENT_DEPLOYMENT_FAILED         NotificationEventType = 5
	NotificationEventType_EVENT_DEPLOYMENT_CANCELLED      NotificationEventType = 6
	NotificationEventType_EVENT_DEPLOYMENT_WAIT_APPROVAL  NotificationEventType = 7
	NotificationEventType_EVENT_DEPLOYMENT_TRIGGER_FAILED NotificationEventType = 8
	NotificationEventType_EVENT_APPLICATION_SYNCED        NotificationEventType = 100
	NotificationEventType_EVENT_APPLICATION_OUT_OF_SYNC   NotificationEventType = 101
	// Application Health Event
	NotificationEventType_EVENT_APPLICATION_HEALTHY NotificationEventType = 200
	NotificationEventType_EVENT_PIPED_STARTED       NotificationEventType = 300
	NotificationEventType_EVENT_PIPED_STOPPED       NotificationEventType = 301
)

// Enum value maps for NotificationEventType.
var (
	NotificationEventType_name = map[int32]string{
		0:   "EVENT_DEPLOYMENT_TRIGGERED",
		1:   "EVENT_DEPLOYMENT_PLANNED",
		2:   "EVENT_DEPLOYMENT_APPROVED",
		3:   "EVENT_DEPLOYMENT_ROLLING_BACK",
		4:   "EVENT_DEPLOYMENT_SUCCEEDED",
		5:   "EVENT_DEPLOYMENT_FAILED",
		6:   "EVENT_DEPLOYMENT_CANCELLED",
		7:   "EVENT_DEPLOYMENT_WAIT_APPROVAL",
		8:   "EVENT_DEPLOYMENT_TRIGGER_FAILED",
		100: "EVENT_APPLICATION_SYNCED",
		101: "EVENT_APPLICATION_OUT_OF_SYNC",
		200: "EVENT_APPLICATION_HEALTHY",
		300: "EVENT_PIPED_STARTED",
		301: "EVENT_PIPED_STOPPED",
	}
	NotificationEventType_value = map[string]int32{
		"EVENT_DEPLOYMENT_TRIGGERED":      0,
		"EVENT_DEPLOYMENT_PLANNED":        1,
		"EVENT_DEPLOYMENT_APPROVED":       2,
		"EVENT_DEPLOYMENT_ROLLING_BACK":   3,
		"EVENT_DEPLOYMENT_SUCCEEDED":      4,
		"EVENT_DEPLOYMENT_FAILED":         5,
		"EVENT_DEPLOYMENT_CANCELLED":      6,
		"EVENT_DEPLOYMENT_WAIT_APPROVAL":  7,
		"EVENT_DEPLOYMENT_TRIGGER_FAILED": 8,
		"EVENT_APPLICATION_SYNCED":        100,
		"EVENT_APPLICATION_OUT_OF_SYNC":   101,
		"EVENT_APPLICATION_HEALTHY":       200,
		"EVENT_PIPED_STARTED":             300,
		"EVENT_PIPED_STOPPED":             301,
	}
)

func (x NotificationEventType) Enum() *NotificationEventType {
	p := new(NotificationEventType)
	*p = x
	return p
}

func (x NotificationEventType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (NotificationEventType) Descriptor() protoreflect.EnumDescriptor {
	return file_pkg_model_notificationevent_proto_enumTypes[0].Descriptor()
}

func (NotificationEventType) Type() protoreflect.EnumType {
	return &file_pkg_model_notificationevent_proto_enumTypes[0]
}

func (x NotificationEventType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use NotificationEventType.Descriptor instead.
func (NotificationEventType) EnumDescriptor() ([]byte, []int) {
	return file_pkg_model_notificationevent_proto_rawDescGZIP(), []int{0}
}

type NotificationEventGroup int32

const (
	NotificationEventGroup_EVENT_NONE               NotificationEventGroup = 0
	NotificationEventGroup_EVENT_DEPLOYMENT         NotificationEventGroup = 1
	NotificationEventGroup_EVENT_APPLICATION_SYNC   NotificationEventGroup = 2
	NotificationEventGroup_EVENT_APPLICATION_HEALTH NotificationEventGroup = 3
	NotificationEventGroup_EVENT_PIPED              NotificationEventGroup = 4
)

// Enum value maps for NotificationEventGroup.
var (
	NotificationEventGroup_name = map[int32]string{
		0: "EVENT_NONE",
		1: "EVENT_DEPLOYMENT",
		2: "EVENT_APPLICATION_SYNC",
		3: "EVENT_APPLICATION_HEALTH",
		4: "EVENT_PIPED",
	}
	NotificationEventGroup_value = map[string]int32{
		"EVENT_NONE":               0,
		"EVENT_DEPLOYMENT":         1,
		"EVENT_APPLICATION_SYNC":   2,
		"EVENT_APPLICATION_HEALTH": 3,
		"EVENT_PIPED":              4,
	}
)

func (x NotificationEventGroup) Enum() *NotificationEventGroup {
	p := new(NotificationEventGroup)
	*p = x
	return p
}

func (x NotificationEventGroup) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (NotificationEventGroup) Descriptor() protoreflect.EnumDescriptor {
	return file_pkg_model_notificationevent_proto_enumTypes[1].Descriptor()
}

func (NotificationEventGroup) Type() protoreflect.EnumType {
	return &file_pkg_model_notificationevent_proto_enumTypes[1]
}

func (x NotificationEventGroup) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use NotificationEventGroup.Descriptor instead.
func (NotificationEventGroup) EnumDescriptor() ([]byte, []int) {
	return file_pkg_model_notificationevent_proto_rawDescGZIP(), []int{1}
}

type NotificationEventDeploymentTriggered struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Deployment        *Deployment `protobuf:"bytes,1,opt,name=deployment,proto3" json:"deployment,omitempty"`
	MentionedAccounts []string    `protobuf:"bytes,3,rep,name=mentioned_accounts,json=mentionedAccounts,proto3" json:"mentioned_accounts,omitempty"`
}

func (x *NotificationEventDeploymentTriggered) Reset() {
	*x = NotificationEventDeploymentTriggered{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_model_notificationevent_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NotificationEventDeploymentTriggered) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NotificationEventDeploymentTriggered) ProtoMessage() {}

func (x *NotificationEventDeploymentTriggered) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_model_notificationevent_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NotificationEventDeploymentTriggered.ProtoReflect.Descriptor instead.
func (*NotificationEventDeploymentTriggered) Descriptor() ([]byte, []int) {
	return file_pkg_model_notificationevent_proto_rawDescGZIP(), []int{0}
}

func (x *NotificationEventDeploymentTriggered) GetDeployment() *Deployment {
	if x != nil {
		return x.Deployment
	}
	return nil
}

func (x *NotificationEventDeploymentTriggered) GetMentionedAccounts() []string {
	if x != nil {
		return x.MentionedAccounts
	}
	return nil
}

type NotificationEventDeploymentPlanned struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Deployment        *Deployment `protobuf:"bytes,1,opt,name=deployment,proto3" json:"deployment,omitempty"`
	Summary           string      `protobuf:"bytes,3,opt,name=summary,proto3" json:"summary,omitempty"`
	MentionedAccounts []string    `protobuf:"bytes,4,rep,name=mentioned_accounts,json=mentionedAccounts,proto3" json:"mentioned_accounts,omitempty"`
}

func (x *NotificationEventDeploymentPlanned) Reset() {
	*x = NotificationEventDeploymentPlanned{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_model_notificationevent_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NotificationEventDeploymentPlanned) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NotificationEventDeploymentPlanned) ProtoMessage() {}

func (x *NotificationEventDeploymentPlanned) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_model_notificationevent_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NotificationEventDeploymentPlanned.ProtoReflect.Descriptor instead.
func (*NotificationEventDeploymentPlanned) Descriptor() ([]byte, []int) {
	return file_pkg_model_notificationevent_proto_rawDescGZIP(), []int{1}
}

func (x *NotificationEventDeploymentPlanned) GetDeployment() *Deployment {
	if x != nil {
		return x.Deployment
	}
	return nil
}

func (x *NotificationEventDeploymentPlanned) GetSummary() string {
	if x != nil {
		return x.Summary
	}
	return ""
}

func (x *NotificationEventDeploymentPlanned) GetMentionedAccounts() []string {
	if x != nil {
		return x.MentionedAccounts
	}
	return nil
}

type NotificationEventDeploymentApproved struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Deployment        *Deployment `protobuf:"bytes,1,opt,name=deployment,proto3" json:"deployment,omitempty"`
	Approver          string      `protobuf:"bytes,3,opt,name=approver,proto3" json:"approver,omitempty"`
	MentionedAccounts []string    `protobuf:"bytes,4,rep,name=mentioned_accounts,json=mentionedAccounts,proto3" json:"mentioned_accounts,omitempty"`
}

func (x *NotificationEventDeploymentApproved) Reset() {
	*x = NotificationEventDeploymentApproved{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_model_notificationevent_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NotificationEventDeploymentApproved) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NotificationEventDeploymentApproved) ProtoMessage() {}

func (x *NotificationEventDeploymentApproved) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_model_notificationevent_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NotificationEventDeploymentApproved.ProtoReflect.Descriptor instead.
func (*NotificationEventDeploymentApproved) Descriptor() ([]byte, []int) {
	return file_pkg_model_notificationevent_proto_rawDescGZIP(), []int{2}
}

func (x *NotificationEventDeploymentApproved) GetDeployment() *Deployment {
	if x != nil {
		return x.Deployment
	}
	return nil
}

func (x *NotificationEventDeploymentApproved) GetApprover() string {
	if x != nil {
		return x.Approver
	}
	return ""
}

func (x *NotificationEventDeploymentApproved) GetMentionedAccounts() []string {
	if x != nil {
		return x.MentionedAccounts
	}
	return nil
}

type NotificationEventDeploymentRollingBack struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Deployment *Deployment `protobuf:"bytes,1,opt,name=deployment,proto3" json:"deployment,omitempty"`
}

func (x *NotificationEventDeploymentRollingBack) Reset() {
	*x = NotificationEventDeploymentRollingBack{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_model_notificationevent_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NotificationEventDeploymentRollingBack) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NotificationEventDeploymentRollingBack) ProtoMessage() {}

func (x *NotificationEventDeploymentRollingBack) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_model_notificationevent_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NotificationEventDeploymentRollingBack.ProtoReflect.Descriptor instead.
func (*NotificationEventDeploymentRollingBack) Descriptor() ([]byte, []int) {
	return file_pkg_model_notificationevent_proto_rawDescGZIP(), []int{3}
}

func (x *NotificationEventDeploymentRollingBack) GetDeployment() *Deployment {
	if x != nil {
		return x.Deployment
	}
	return nil
}

type NotificationEventDeploymentSucceeded struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Deployment        *Deployment `protobuf:"bytes,1,opt,name=deployment,proto3" json:"deployment,omitempty"`
	MentionedAccounts []string    `protobuf:"bytes,3,rep,name=mentioned_accounts,json=mentionedAccounts,proto3" json:"mentioned_accounts,omitempty"`
}

func (x *NotificationEventDeploymentSucceeded) Reset() {
	*x = NotificationEventDeploymentSucceeded{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_model_notificationevent_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NotificationEventDeploymentSucceeded) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NotificationEventDeploymentSucceeded) ProtoMessage() {}

func (x *NotificationEventDeploymentSucceeded) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_model_notificationevent_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NotificationEventDeploymentSucceeded.ProtoReflect.Descriptor instead.
func (*NotificationEventDeploymentSucceeded) Descriptor() ([]byte, []int) {
	return file_pkg_model_notificationevent_proto_rawDescGZIP(), []int{4}
}

func (x *NotificationEventDeploymentSucceeded) GetDeployment() *Deployment {
	if x != nil {
		return x.Deployment
	}
	return nil
}

func (x *NotificationEventDeploymentSucceeded) GetMentionedAccounts() []string {
	if x != nil {
		return x.MentionedAccounts
	}
	return nil
}

type NotificationEventDeploymentFailed struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Deployment        *Deployment `protobuf:"bytes,1,opt,name=deployment,proto3" json:"deployment,omitempty"`
	Reason            string      `protobuf:"bytes,3,opt,name=reason,proto3" json:"reason,omitempty"`
	MentionedAccounts []string    `protobuf:"bytes,4,rep,name=mentioned_accounts,json=mentionedAccounts,proto3" json:"mentioned_accounts,omitempty"`
}

func (x *NotificationEventDeploymentFailed) Reset() {
	*x = NotificationEventDeploymentFailed{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_model_notificationevent_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NotificationEventDeploymentFailed) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NotificationEventDeploymentFailed) ProtoMessage() {}

func (x *NotificationEventDeploymentFailed) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_model_notificationevent_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NotificationEventDeploymentFailed.ProtoReflect.Descriptor instead.
func (*NotificationEventDeploymentFailed) Descriptor() ([]byte, []int) {
	return file_pkg_model_notificationevent_proto_rawDescGZIP(), []int{5}
}

func (x *NotificationEventDeploymentFailed) GetDeployment() *Deployment {
	if x != nil {
		return x.Deployment
	}
	return nil
}

func (x *NotificationEventDeploymentFailed) GetReason() string {
	if x != nil {
		return x.Reason
	}
	return ""
}

func (x *NotificationEventDeploymentFailed) GetMentionedAccounts() []string {
	if x != nil {
		return x.MentionedAccounts
	}
	return nil
}

type NotificationEventDeploymentCancelled struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Deployment        *Deployment `protobuf:"bytes,1,opt,name=deployment,proto3" json:"deployment,omitempty"`
	Commander         string      `protobuf:"bytes,3,opt,name=commander,proto3" json:"commander,omitempty"`
	MentionedAccounts []string    `protobuf:"bytes,4,rep,name=mentioned_accounts,json=mentionedAccounts,proto3" json:"mentioned_accounts,omitempty"`
}

func (x *NotificationEventDeploymentCancelled) Reset() {
	*x = NotificationEventDeploymentCancelled{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_model_notificationevent_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NotificationEventDeploymentCancelled) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NotificationEventDeploymentCancelled) ProtoMessage() {}

func (x *NotificationEventDeploymentCancelled) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_model_notificationevent_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NotificationEventDeploymentCancelled.ProtoReflect.Descriptor instead.
func (*NotificationEventDeploymentCancelled) Descriptor() ([]byte, []int) {
	return file_pkg_model_notificationevent_proto_rawDescGZIP(), []int{6}
}

func (x *NotificationEventDeploymentCancelled) GetDeployment() *Deployment {
	if x != nil {
		return x.Deployment
	}
	return nil
}

func (x *NotificationEventDeploymentCancelled) GetCommander() string {
	if x != nil {
		return x.Commander
	}
	return ""
}

func (x *NotificationEventDeploymentCancelled) GetMentionedAccounts() []string {
	if x != nil {
		return x.MentionedAccounts
	}
	return nil
}

type NotificationEventDeploymentWaitApproval struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Deployment        *Deployment `protobuf:"bytes,1,opt,name=deployment,proto3" json:"deployment,omitempty"`
	MentionedAccounts []string    `protobuf:"bytes,3,rep,name=mentioned_accounts,json=mentionedAccounts,proto3" json:"mentioned_accounts,omitempty"`
}

func (x *NotificationEventDeploymentWaitApproval) Reset() {
	*x = NotificationEventDeploymentWaitApproval{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_model_notificationevent_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NotificationEventDeploymentWaitApproval) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NotificationEventDeploymentWaitApproval) ProtoMessage() {}

func (x *NotificationEventDeploymentWaitApproval) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_model_notificationevent_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NotificationEventDeploymentWaitApproval.ProtoReflect.Descriptor instead.
func (*NotificationEventDeploymentWaitApproval) Descriptor() ([]byte, []int) {
	return file_pkg_model_notificationevent_proto_rawDescGZIP(), []int{7}
}

func (x *NotificationEventDeploymentWaitApproval) GetDeployment() *Deployment {
	if x != nil {
		return x.Deployment
	}
	return nil
}

func (x *NotificationEventDeploymentWaitApproval) GetMentionedAccounts() []string {
	if x != nil {
		return x.MentionedAccounts
	}
	return nil
}

type NotificationEventDeploymentTriggerFailed struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Application       *Application `protobuf:"bytes,1,opt,name=application,proto3" json:"application,omitempty"`
	CommitHash        string       `protobuf:"bytes,2,opt,name=commit_hash,json=commitHash,proto3" json:"commit_hash,omitempty"`
	CommitMessage     string       `protobuf:"bytes,3,opt,name=commit_message,json=commitMessage,proto3" json:"commit_message,omitempty"`
	Reason            string       `protobuf:"bytes,4,opt,name=reason,proto3" json:"reason,omitempty"`
	MentionedAccounts []string     `protobuf:"bytes,5,rep,name=mentioned_accounts,json=mentionedAccounts,proto3" json:"mentioned_accounts,omitempty"`
}

func (x *NotificationEventDeploymentTriggerFailed) Reset() {
	*x = NotificationEventDeploymentTriggerFailed{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_model_notificationevent_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NotificationEventDeploymentTriggerFailed) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NotificationEventDeploymentTriggerFailed) ProtoMessage() {}

func (x *NotificationEventDeploymentTriggerFailed) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_model_notificationevent_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NotificationEventDeploymentTriggerFailed.ProtoReflect.Descriptor instead.
func (*NotificationEventDeploymentTriggerFailed) Descriptor() ([]byte, []int) {
	return file_pkg_model_notificationevent_proto_rawDescGZIP(), []int{8}
}

func (x *NotificationEventDeploymentTriggerFailed) GetApplication() *Application {
	if x != nil {
		return x.Application
	}
	return nil
}

func (x *NotificationEventDeploymentTriggerFailed) GetCommitHash() string {
	if x != nil {
		return x.CommitHash
	}
	return ""
}

func (x *NotificationEventDeploymentTriggerFailed) GetCommitMessage() string {
	if x != nil {
		return x.CommitMessage
	}
	return ""
}

func (x *NotificationEventDeploymentTriggerFailed) GetReason() string {
	if x != nil {
		return x.Reason
	}
	return ""
}

func (x *NotificationEventDeploymentTriggerFailed) GetMentionedAccounts() []string {
	if x != nil {
		return x.MentionedAccounts
	}
	return nil
}

type NotificationEventApplicationSynced struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Application *Application          `protobuf:"bytes,1,opt,name=application,proto3" json:"application,omitempty"`
	State       *ApplicationSyncState `protobuf:"bytes,3,opt,name=state,proto3" json:"state,omitempty"`
}

func (x *NotificationEventApplicationSynced) Reset() {
	*x = NotificationEventApplicationSynced{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_model_notificationevent_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NotificationEventApplicationSynced) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NotificationEventApplicationSynced) ProtoMessage() {}

func (x *NotificationEventApplicationSynced) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_model_notificationevent_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NotificationEventApplicationSynced.ProtoReflect.Descriptor instead.
func (*NotificationEventApplicationSynced) Descriptor() ([]byte, []int) {
	return file_pkg_model_notificationevent_proto_rawDescGZIP(), []int{9}
}

func (x *NotificationEventApplicationSynced) GetApplication() *Application {
	if x != nil {
		return x.Application
	}
	return nil
}

func (x *NotificationEventApplicationSynced) GetState() *ApplicationSyncState {
	if x != nil {
		return x.State
	}
	return nil
}

type NotificationEventApplicationOutOfSync struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Application *Application          `protobuf:"bytes,1,opt,name=application,proto3" json:"application,omitempty"`
	State       *ApplicationSyncState `protobuf:"bytes,3,opt,name=state,proto3" json:"state,omitempty"`
}

func (x *NotificationEventApplicationOutOfSync) Reset() {
	*x = NotificationEventApplicationOutOfSync{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_model_notificationevent_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NotificationEventApplicationOutOfSync) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NotificationEventApplicationOutOfSync) ProtoMessage() {}

func (x *NotificationEventApplicationOutOfSync) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_model_notificationevent_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NotificationEventApplicationOutOfSync.ProtoReflect.Descriptor instead.
func (*NotificationEventApplicationOutOfSync) Descriptor() ([]byte, []int) {
	return file_pkg_model_notificationevent_proto_rawDescGZIP(), []int{10}
}

func (x *NotificationEventApplicationOutOfSync) GetApplication() *Application {
	if x != nil {
		return x.Application
	}
	return nil
}

func (x *NotificationEventApplicationOutOfSync) GetState() *ApplicationSyncState {
	if x != nil {
		return x.State
	}
	return nil
}

type NotificationEventPipedStarted struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name      string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Version   string `protobuf:"bytes,3,opt,name=version,proto3" json:"version,omitempty"`
	ProjectId string `protobuf:"bytes,4,opt,name=project_id,json=projectId,proto3" json:"project_id,omitempty"`
}

func (x *NotificationEventPipedStarted) Reset() {
	*x = NotificationEventPipedStarted{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_model_notificationevent_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NotificationEventPipedStarted) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NotificationEventPipedStarted) ProtoMessage() {}

func (x *NotificationEventPipedStarted) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_model_notificationevent_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NotificationEventPipedStarted.ProtoReflect.Descriptor instead.
func (*NotificationEventPipedStarted) Descriptor() ([]byte, []int) {
	return file_pkg_model_notificationevent_proto_rawDescGZIP(), []int{11}
}

func (x *NotificationEventPipedStarted) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *NotificationEventPipedStarted) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *NotificationEventPipedStarted) GetVersion() string {
	if x != nil {
		return x.Version
	}
	return ""
}

func (x *NotificationEventPipedStarted) GetProjectId() string {
	if x != nil {
		return x.ProjectId
	}
	return ""
}

type NotificationEventPipedStopped struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name      string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Version   string `protobuf:"bytes,3,opt,name=version,proto3" json:"version,omitempty"`
	ProjectId string `protobuf:"bytes,4,opt,name=project_id,json=projectId,proto3" json:"project_id,omitempty"`
}

func (x *NotificationEventPipedStopped) Reset() {
	*x = NotificationEventPipedStopped{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_model_notificationevent_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NotificationEventPipedStopped) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NotificationEventPipedStopped) ProtoMessage() {}

func (x *NotificationEventPipedStopped) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_model_notificationevent_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NotificationEventPipedStopped.ProtoReflect.Descriptor instead.
func (*NotificationEventPipedStopped) Descriptor() ([]byte, []int) {
	return file_pkg_model_notificationevent_proto_rawDescGZIP(), []int{12}
}

func (x *NotificationEventPipedStopped) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *NotificationEventPipedStopped) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *NotificationEventPipedStopped) GetVersion() string {
	if x != nil {
		return x.Version
	}
	return ""
}

func (x *NotificationEventPipedStopped) GetProjectId() string {
	if x != nil {
		return x.ProjectId
	}
	return ""
}

var File_pkg_model_notificationevent_proto protoreflect.FileDescriptor

var file_pkg_model_notificationevent_proto_rawDesc = []byte{
	0x0a, 0x21, 0x70, 0x6b, 0x67, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x6e, 0x6f, 0x74, 0x69,
	0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x05, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x1a, 0x17, 0x76, 0x61, 0x6c, 0x69,
	0x64, 0x61, 0x74, 0x65, 0x2f, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x70, 0x6b, 0x67, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x61,
	0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x1a, 0x1a, 0x70, 0x6b, 0x67, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x64, 0x65, 0x70, 0x6c,
	0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x92, 0x01, 0x0a,
	0x24, 0x4e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x45, 0x76, 0x65,
	0x6e, 0x74, 0x44, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x72, 0x69, 0x67,
	0x67, 0x65, 0x72, 0x65, 0x64, 0x12, 0x3b, 0x0a, 0x0a, 0x64, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d,
	0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x6d, 0x6f, 0x64, 0x65,
	0x6c, 0x2e, 0x44, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x42, 0x08, 0xfa, 0x42,
	0x05, 0x8a, 0x01, 0x02, 0x10, 0x01, 0x52, 0x0a, 0x64, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65,
	0x6e, 0x74, 0x12, 0x2d, 0x0a, 0x12, 0x6d, 0x65, 0x6e, 0x74, 0x69, 0x6f, 0x6e, 0x65, 0x64, 0x5f,
	0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x09, 0x52, 0x11,
	0x6d, 0x65, 0x6e, 0x74, 0x69, 0x6f, 0x6e, 0x65, 0x64, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74,
	0x73, 0x22, 0xaa, 0x01, 0x0a, 0x22, 0x4e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x44, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e,
	0x74, 0x50, 0x6c, 0x61, 0x6e, 0x6e, 0x65, 0x64, 0x12, 0x3b, 0x0a, 0x0a, 0x64, 0x65, 0x70, 0x6c,
	0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x6d,
	0x6f, 0x64, 0x65, 0x6c, 0x2e, 0x44, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x42,
	0x08, 0xfa, 0x42, 0x05, 0x8a, 0x01, 0x02, 0x10, 0x01, 0x52, 0x0a, 0x64, 0x65, 0x70, 0x6c, 0x6f,
	0x79, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x18, 0x0a, 0x07, 0x73, 0x75, 0x6d, 0x6d, 0x61, 0x72, 0x79,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x73, 0x75, 0x6d, 0x6d, 0x61, 0x72, 0x79, 0x12,
	0x2d, 0x0a, 0x12, 0x6d, 0x65, 0x6e, 0x74, 0x69, 0x6f, 0x6e, 0x65, 0x64, 0x5f, 0x61, 0x63, 0x63,
	0x6f, 0x75, 0x6e, 0x74, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x09, 0x52, 0x11, 0x6d, 0x65, 0x6e,
	0x74, 0x69, 0x6f, 0x6e, 0x65, 0x64, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x73, 0x22, 0xad,
	0x01, 0x0a, 0x23, 0x4e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x45,
	0x76, 0x65, 0x6e, 0x74, 0x44, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x41, 0x70,
	0x70, 0x72, 0x6f, 0x76, 0x65, 0x64, 0x12, 0x3b, 0x0a, 0x0a, 0x64, 0x65, 0x70, 0x6c, 0x6f, 0x79,
	0x6d, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x6d, 0x6f, 0x64,
	0x65, 0x6c, 0x2e, 0x44, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x42, 0x08, 0xfa,
	0x42, 0x05, 0x8a, 0x01, 0x02, 0x10, 0x01, 0x52, 0x0a, 0x64, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d,
	0x65, 0x6e, 0x74, 0x12, 0x1a, 0x0a, 0x08, 0x61, 0x70, 0x70, 0x72, 0x6f, 0x76, 0x65, 0x72, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x61, 0x70, 0x70, 0x72, 0x6f, 0x76, 0x65, 0x72, 0x12,
	0x2d, 0x0a, 0x12, 0x6d, 0x65, 0x6e, 0x74, 0x69, 0x6f, 0x6e, 0x65, 0x64, 0x5f, 0x61, 0x63, 0x63,
	0x6f, 0x75, 0x6e, 0x74, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x09, 0x52, 0x11, 0x6d, 0x65, 0x6e,
	0x74, 0x69, 0x6f, 0x6e, 0x65, 0x64, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x73, 0x22, 0x65,
	0x0a, 0x26, 0x4e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x45, 0x76,
	0x65, 0x6e, 0x74, 0x44, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x6f, 0x6c,
	0x6c, 0x69, 0x6e, 0x67, 0x42, 0x61, 0x63, 0x6b, 0x12, 0x3b, 0x0a, 0x0a, 0x64, 0x65, 0x70, 0x6c,
	0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x6d,
	0x6f, 0x64, 0x65, 0x6c, 0x2e, 0x44, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x42,
	0x08, 0xfa, 0x42, 0x05, 0x8a, 0x01, 0x02, 0x10, 0x01, 0x52, 0x0a, 0x64, 0x65, 0x70, 0x6c, 0x6f,
	0x79, 0x6d, 0x65, 0x6e, 0x74, 0x22, 0x92, 0x01, 0x0a, 0x24, 0x4e, 0x6f, 0x74, 0x69, 0x66, 0x69,
	0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x44, 0x65, 0x70, 0x6c, 0x6f,
	0x79, 0x6d, 0x65, 0x6e, 0x74, 0x53, 0x75, 0x63, 0x63, 0x65, 0x65, 0x64, 0x65, 0x64, 0x12, 0x3b,
	0x0a, 0x0a, 0x64, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x11, 0x2e, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2e, 0x44, 0x65, 0x70, 0x6c, 0x6f,
	0x79, 0x6d, 0x65, 0x6e, 0x74, 0x42, 0x08, 0xfa, 0x42, 0x05, 0x8a, 0x01, 0x02, 0x10, 0x01, 0x52,
	0x0a, 0x64, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x2d, 0x0a, 0x12, 0x6d,
	0x65, 0x6e, 0x74, 0x69, 0x6f, 0x6e, 0x65, 0x64, 0x5f, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74,
	0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x09, 0x52, 0x11, 0x6d, 0x65, 0x6e, 0x74, 0x69, 0x6f, 0x6e,
	0x65, 0x64, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x73, 0x22, 0xa7, 0x01, 0x0a, 0x21, 0x4e,
	0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x45, 0x76, 0x65, 0x6e, 0x74,
	0x44, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x46, 0x61, 0x69, 0x6c, 0x65, 0x64,
	0x12, 0x3b, 0x0a, 0x0a, 0x64, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2e, 0x44, 0x65, 0x70,
	0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x42, 0x08, 0xfa, 0x42, 0x05, 0x8a, 0x01, 0x02, 0x10,
	0x01, 0x52, 0x0a, 0x64, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x16, 0x0a,
	0x06, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x72,
	0x65, 0x61, 0x73, 0x6f, 0x6e, 0x12, 0x2d, 0x0a, 0x12, 0x6d, 0x65, 0x6e, 0x74, 0x69, 0x6f, 0x6e,
	0x65, 0x64, 0x5f, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28,
	0x09, 0x52, 0x11, 0x6d, 0x65, 0x6e, 0x74, 0x69, 0x6f, 0x6e, 0x65, 0x64, 0x41, 0x63, 0x63, 0x6f,
	0x75, 0x6e, 0x74, 0x73, 0x22, 0xb0, 0x01, 0x0a, 0x24, 0x4e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x44, 0x65, 0x70, 0x6c, 0x6f, 0x79,
	0x6d, 0x65, 0x6e, 0x74, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x6c, 0x65, 0x64, 0x12, 0x3b, 0x0a,
	0x0a, 0x64, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x11, 0x2e, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2e, 0x44, 0x65, 0x70, 0x6c, 0x6f, 0x79,
	0x6d, 0x65, 0x6e, 0x74, 0x42, 0x08, 0xfa, 0x42, 0x05, 0x8a, 0x01, 0x02, 0x10, 0x01, 0x52, 0x0a,
	0x64, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x1c, 0x0a, 0x09, 0x63, 0x6f,
	0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x63,
	0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x65, 0x72, 0x12, 0x2d, 0x0a, 0x12, 0x6d, 0x65, 0x6e, 0x74,
	0x69, 0x6f, 0x6e, 0x65, 0x64, 0x5f, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x73, 0x18, 0x04,
	0x20, 0x03, 0x28, 0x09, 0x52, 0x11, 0x6d, 0x65, 0x6e, 0x74, 0x69, 0x6f, 0x6e, 0x65, 0x64, 0x41,
	0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x73, 0x22, 0x95, 0x01, 0x0a, 0x27, 0x4e, 0x6f, 0x74, 0x69,
	0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x44, 0x65, 0x70,
	0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x57, 0x61, 0x69, 0x74, 0x41, 0x70, 0x70, 0x72, 0x6f,
	0x76, 0x61, 0x6c, 0x12, 0x3b, 0x0a, 0x0a, 0x64, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e,
	0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2e,
	0x44, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x42, 0x08, 0xfa, 0x42, 0x05, 0x8a,
	0x01, 0x02, 0x10, 0x01, 0x52, 0x0a, 0x64, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74,
	0x12, 0x2d, 0x0a, 0x12, 0x6d, 0x65, 0x6e, 0x74, 0x69, 0x6f, 0x6e, 0x65, 0x64, 0x5f, 0x61, 0x63,
	0x63, 0x6f, 0x75, 0x6e, 0x74, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x09, 0x52, 0x11, 0x6d, 0x65,
	0x6e, 0x74, 0x69, 0x6f, 0x6e, 0x65, 0x64, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x73, 0x22,
	0x94, 0x02, 0x0a, 0x28, 0x4e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x45, 0x76, 0x65, 0x6e, 0x74, 0x44, 0x65, 0x70, 0x6c, 0x6f, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x54,
	0x72, 0x69, 0x67, 0x67, 0x65, 0x72, 0x46, 0x61, 0x69, 0x6c, 0x65, 0x64, 0x12, 0x3e, 0x0a, 0x0b,
	0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x12, 0x2e, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2e, 0x41, 0x70, 0x70, 0x6c, 0x69, 0x63,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x08, 0xfa, 0x42, 0x05, 0x8a, 0x01, 0x02, 0x10, 0x01, 0x52,
	0x0b, 0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x28, 0x0a, 0x0b,
	0x63, 0x6f, 0x6d, 0x6d, 0x69, 0x74, 0x5f, 0x68, 0x61, 0x73, 0x68, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x42, 0x07, 0xfa, 0x42, 0x04, 0x72, 0x02, 0x10, 0x01, 0x52, 0x0a, 0x63, 0x6f, 0x6d, 0x6d,
	0x69, 0x74, 0x48, 0x61, 0x73, 0x68, 0x12, 0x2e, 0x0a, 0x0e, 0x63, 0x6f, 0x6d, 0x6d, 0x69, 0x74,
	0x5f, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07,
	0xfa, 0x42, 0x04, 0x72, 0x02, 0x10, 0x01, 0x52, 0x0d, 0x63, 0x6f, 0x6d, 0x6d, 0x69, 0x74, 0x4d,
	0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x1f, 0x0a, 0x06, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xfa, 0x42, 0x04, 0x72, 0x02, 0x10, 0x01, 0x52,
	0x06, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x12, 0x2d, 0x0a, 0x12, 0x6d, 0x65, 0x6e, 0x74, 0x69,
	0x6f, 0x6e, 0x65, 0x64, 0x5f, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x73, 0x18, 0x05, 0x20,
	0x03, 0x28, 0x09, 0x52, 0x11, 0x6d, 0x65, 0x6e, 0x74, 0x69, 0x6f, 0x6e, 0x65, 0x64, 0x41, 0x63,
	0x63, 0x6f, 0x75, 0x6e, 0x74, 0x73, 0x22, 0xa1, 0x01, 0x0a, 0x22, 0x4e, 0x6f, 0x74, 0x69, 0x66,
	0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x41, 0x70, 0x70, 0x6c,
	0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x79, 0x6e, 0x63, 0x65, 0x64, 0x12, 0x3e, 0x0a,
	0x0b, 0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x12, 0x2e, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2e, 0x41, 0x70, 0x70, 0x6c, 0x69,
	0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x08, 0xfa, 0x42, 0x05, 0x8a, 0x01, 0x02, 0x10, 0x01,
	0x52, 0x0b, 0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x3b, 0x0a,
	0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x6d,
	0x6f, 0x64, 0x65, 0x6c, 0x2e, 0x41, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x53, 0x79, 0x6e, 0x63, 0x53, 0x74, 0x61, 0x74, 0x65, 0x42, 0x08, 0xfa, 0x42, 0x05, 0x8a, 0x01,
	0x02, 0x10, 0x01, 0x52, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x22, 0xa4, 0x01, 0x0a, 0x25, 0x4e,
	0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x45, 0x76, 0x65, 0x6e, 0x74,
	0x41, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4f, 0x75, 0x74, 0x4f, 0x66,
	0x53, 0x79, 0x6e, 0x63, 0x12, 0x3e, 0x0a, 0x0b, 0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x6d, 0x6f, 0x64, 0x65,
	0x6c, 0x2e, 0x41, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x08, 0xfa,
	0x42, 0x05, 0x8a, 0x01, 0x02, 0x10, 0x01, 0x52, 0x0b, 0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x12, 0x3b, 0x0a, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2e, 0x41, 0x70, 0x70, 0x6c,
	0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x79, 0x6e, 0x63, 0x53, 0x74, 0x61, 0x74, 0x65,
	0x42, 0x08, 0xfa, 0x42, 0x05, 0x8a, 0x01, 0x02, 0x10, 0x01, 0x52, 0x05, 0x73, 0x74, 0x61, 0x74,
	0x65, 0x22, 0x97, 0x01, 0x0a, 0x1d, 0x4e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x50, 0x69, 0x70, 0x65, 0x64, 0x53, 0x74, 0x61, 0x72,
	0x74, 0x65, 0x64, 0x12, 0x17, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x42,
	0x07, 0xfa, 0x42, 0x04, 0x72, 0x02, 0x10, 0x01, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1b, 0x0a, 0x04,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xfa, 0x42, 0x04, 0x72,
	0x02, 0x10, 0x01, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x76, 0x65, 0x72,
	0x73, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x76, 0x65, 0x72, 0x73,
	0x69, 0x6f, 0x6e, 0x12, 0x26, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69,
	0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xfa, 0x42, 0x04, 0x72, 0x02, 0x10, 0x01,
	0x52, 0x09, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x49, 0x64, 0x22, 0x97, 0x01, 0x0a, 0x1d,
	0x4e, 0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x45, 0x76, 0x65, 0x6e,
	0x74, 0x50, 0x69, 0x70, 0x65, 0x64, 0x53, 0x74, 0x6f, 0x70, 0x70, 0x65, 0x64, 0x12, 0x17, 0x0a,
	0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xfa, 0x42, 0x04, 0x72, 0x02,
	0x10, 0x01, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1b, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xfa, 0x42, 0x04, 0x72, 0x02, 0x10, 0x01, 0x52, 0x04, 0x6e,
	0x61, 0x6d, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x26, 0x0a,
	0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x09, 0x42, 0x07, 0xfa, 0x42, 0x04, 0x72, 0x02, 0x10, 0x01, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x6a,
	0x65, 0x63, 0x74, 0x49, 0x64, 0x2a, 0xd2, 0x03, 0x0a, 0x15, 0x4e, 0x6f, 0x74, 0x69, 0x66, 0x69,
	0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x12,
	0x1e, 0x0a, 0x1a, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x44, 0x45, 0x50, 0x4c, 0x4f, 0x59, 0x4d,
	0x45, 0x4e, 0x54, 0x5f, 0x54, 0x52, 0x49, 0x47, 0x47, 0x45, 0x52, 0x45, 0x44, 0x10, 0x00, 0x12,
	0x1c, 0x0a, 0x18, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x44, 0x45, 0x50, 0x4c, 0x4f, 0x59, 0x4d,
	0x45, 0x4e, 0x54, 0x5f, 0x50, 0x4c, 0x41, 0x4e, 0x4e, 0x45, 0x44, 0x10, 0x01, 0x12, 0x1d, 0x0a,
	0x19, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x44, 0x45, 0x50, 0x4c, 0x4f, 0x59, 0x4d, 0x45, 0x4e,
	0x54, 0x5f, 0x41, 0x50, 0x50, 0x52, 0x4f, 0x56, 0x45, 0x44, 0x10, 0x02, 0x12, 0x21, 0x0a, 0x1d,
	0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x44, 0x45, 0x50, 0x4c, 0x4f, 0x59, 0x4d, 0x45, 0x4e, 0x54,
	0x5f, 0x52, 0x4f, 0x4c, 0x4c, 0x49, 0x4e, 0x47, 0x5f, 0x42, 0x41, 0x43, 0x4b, 0x10, 0x03, 0x12,
	0x1e, 0x0a, 0x1a, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x44, 0x45, 0x50, 0x4c, 0x4f, 0x59, 0x4d,
	0x45, 0x4e, 0x54, 0x5f, 0x53, 0x55, 0x43, 0x43, 0x45, 0x45, 0x44, 0x45, 0x44, 0x10, 0x04, 0x12,
	0x1b, 0x0a, 0x17, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x44, 0x45, 0x50, 0x4c, 0x4f, 0x59, 0x4d,
	0x45, 0x4e, 0x54, 0x5f, 0x46, 0x41, 0x49, 0x4c, 0x45, 0x44, 0x10, 0x05, 0x12, 0x1e, 0x0a, 0x1a,
	0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x44, 0x45, 0x50, 0x4c, 0x4f, 0x59, 0x4d, 0x45, 0x4e, 0x54,
	0x5f, 0x43, 0x41, 0x4e, 0x43, 0x45, 0x4c, 0x4c, 0x45, 0x44, 0x10, 0x06, 0x12, 0x22, 0x0a, 0x1e,
	0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x44, 0x45, 0x50, 0x4c, 0x4f, 0x59, 0x4d, 0x45, 0x4e, 0x54,
	0x5f, 0x57, 0x41, 0x49, 0x54, 0x5f, 0x41, 0x50, 0x50, 0x52, 0x4f, 0x56, 0x41, 0x4c, 0x10, 0x07,
	0x12, 0x23, 0x0a, 0x1f, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x44, 0x45, 0x50, 0x4c, 0x4f, 0x59,
	0x4d, 0x45, 0x4e, 0x54, 0x5f, 0x54, 0x52, 0x49, 0x47, 0x47, 0x45, 0x52, 0x5f, 0x46, 0x41, 0x49,
	0x4c, 0x45, 0x44, 0x10, 0x08, 0x12, 0x1c, 0x0a, 0x18, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x41,
	0x50, 0x50, 0x4c, 0x49, 0x43, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x53, 0x59, 0x4e, 0x43, 0x45,
	0x44, 0x10, 0x64, 0x12, 0x21, 0x0a, 0x1d, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x41, 0x50, 0x50,
	0x4c, 0x49, 0x43, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x4f, 0x55, 0x54, 0x5f, 0x4f, 0x46, 0x5f,
	0x53, 0x59, 0x4e, 0x43, 0x10, 0x65, 0x12, 0x1e, 0x0a, 0x19, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f,
	0x41, 0x50, 0x50, 0x4c, 0x49, 0x43, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x48, 0x45, 0x41, 0x4c,
	0x54, 0x48, 0x59, 0x10, 0xc8, 0x01, 0x12, 0x18, 0x0a, 0x13, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f,
	0x50, 0x49, 0x50, 0x45, 0x44, 0x5f, 0x53, 0x54, 0x41, 0x52, 0x54, 0x45, 0x44, 0x10, 0xac, 0x02,
	0x12, 0x18, 0x0a, 0x13, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x50, 0x49, 0x50, 0x45, 0x44, 0x5f,
	0x53, 0x54, 0x4f, 0x50, 0x50, 0x45, 0x44, 0x10, 0xad, 0x02, 0x2a, 0x89, 0x01, 0x0a, 0x16, 0x4e,
	0x6f, 0x74, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x45, 0x76, 0x65, 0x6e, 0x74,
	0x47, 0x72, 0x6f, 0x75, 0x70, 0x12, 0x0e, 0x0a, 0x0a, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x4e,
	0x4f, 0x4e, 0x45, 0x10, 0x00, 0x12, 0x14, 0x0a, 0x10, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x44,
	0x45, 0x50, 0x4c, 0x4f, 0x59, 0x4d, 0x45, 0x4e, 0x54, 0x10, 0x01, 0x12, 0x1a, 0x0a, 0x16, 0x45,
	0x56, 0x45, 0x4e, 0x54, 0x5f, 0x41, 0x50, 0x50, 0x4c, 0x49, 0x43, 0x41, 0x54, 0x49, 0x4f, 0x4e,
	0x5f, 0x53, 0x59, 0x4e, 0x43, 0x10, 0x02, 0x12, 0x1c, 0x0a, 0x18, 0x45, 0x56, 0x45, 0x4e, 0x54,
	0x5f, 0x41, 0x50, 0x50, 0x4c, 0x49, 0x43, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x48, 0x45, 0x41,
	0x4c, 0x54, 0x48, 0x10, 0x03, 0x12, 0x0f, 0x0a, 0x0b, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x50,
	0x49, 0x50, 0x45, 0x44, 0x10, 0x04, 0x42, 0x25, 0x5a, 0x23, 0x67, 0x69, 0x74, 0x68, 0x75, 0x62,
	0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x70, 0x69, 0x70, 0x65, 0x2d, 0x63, 0x64, 0x2f, 0x70, 0x69, 0x70,
	0x65, 0x63, 0x64, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_pkg_model_notificationevent_proto_rawDescOnce sync.Once
	file_pkg_model_notificationevent_proto_rawDescData = file_pkg_model_notificationevent_proto_rawDesc
)

func file_pkg_model_notificationevent_proto_rawDescGZIP() []byte {
	file_pkg_model_notificationevent_proto_rawDescOnce.Do(func() {
		file_pkg_model_notificationevent_proto_rawDescData = protoimpl.X.CompressGZIP(file_pkg_model_notificationevent_proto_rawDescData)
	})
	return file_pkg_model_notificationevent_proto_rawDescData
}

var file_pkg_model_notificationevent_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_pkg_model_notificationevent_proto_msgTypes = make([]protoimpl.MessageInfo, 13)
var file_pkg_model_notificationevent_proto_goTypes = []interface{}{
	(NotificationEventType)(0),                       // 0: model.NotificationEventType
	(NotificationEventGroup)(0),                      // 1: model.NotificationEventGroup
	(*NotificationEventDeploymentTriggered)(nil),     // 2: model.NotificationEventDeploymentTriggered
	(*NotificationEventDeploymentPlanned)(nil),       // 3: model.NotificationEventDeploymentPlanned
	(*NotificationEventDeploymentApproved)(nil),      // 4: model.NotificationEventDeploymentApproved
	(*NotificationEventDeploymentRollingBack)(nil),   // 5: model.NotificationEventDeploymentRollingBack
	(*NotificationEventDeploymentSucceeded)(nil),     // 6: model.NotificationEventDeploymentSucceeded
	(*NotificationEventDeploymentFailed)(nil),        // 7: model.NotificationEventDeploymentFailed
	(*NotificationEventDeploymentCancelled)(nil),     // 8: model.NotificationEventDeploymentCancelled
	(*NotificationEventDeploymentWaitApproval)(nil),  // 9: model.NotificationEventDeploymentWaitApproval
	(*NotificationEventDeploymentTriggerFailed)(nil), // 10: model.NotificationEventDeploymentTriggerFailed
	(*NotificationEventApplicationSynced)(nil),       // 11: model.NotificationEventApplicationSynced
	(*NotificationEventApplicationOutOfSync)(nil),    // 12: model.NotificationEventApplicationOutOfSync
	(*NotificationEventPipedStarted)(nil),            // 13: model.NotificationEventPipedStarted
	(*NotificationEventPipedStopped)(nil),            // 14: model.NotificationEventPipedStopped
	(*Deployment)(nil),                               // 15: model.Deployment
	(*Application)(nil),                              // 16: model.Application
	(*ApplicationSyncState)(nil),                     // 17: model.ApplicationSyncState
}
var file_pkg_model_notificationevent_proto_depIdxs = []int32{
	15, // 0: model.NotificationEventDeploymentTriggered.deployment:type_name -> model.Deployment
	15, // 1: model.NotificationEventDeploymentPlanned.deployment:type_name -> model.Deployment
	15, // 2: model.NotificationEventDeploymentApproved.deployment:type_name -> model.Deployment
	15, // 3: model.NotificationEventDeploymentRollingBack.deployment:type_name -> model.Deployment
	15, // 4: model.NotificationEventDeploymentSucceeded.deployment:type_name -> model.Deployment
	15, // 5: model.NotificationEventDeploymentFailed.deployment:type_name -> model.Deployment
	15, // 6: model.NotificationEventDeploymentCancelled.deployment:type_name -> model.Deployment
	15, // 7: model.NotificationEventDeploymentWaitApproval.deployment:type_name -> model.Deployment
	16, // 8: model.NotificationEventDeploymentTriggerFailed.application:type_name -> model.Application
	16, // 9: model.NotificationEventApplicationSynced.application:type_name -> model.Application
	17, // 10: model.NotificationEventApplicationSynced.state:type_name -> model.ApplicationSyncState
	16, // 11: model.NotificationEventApplicationOutOfSync.application:type_name -> model.Application
	17, // 12: model.NotificationEventApplicationOutOfSync.state:type_name -> model.ApplicationSyncState
	13, // [13:13] is the sub-list for method output_type
	13, // [13:13] is the sub-list for method input_type
	13, // [13:13] is the sub-list for extension type_name
	13, // [13:13] is the sub-list for extension extendee
	0,  // [0:13] is the sub-list for field type_name
}

func init() { file_pkg_model_notificationevent_proto_init() }
func file_pkg_model_notificationevent_proto_init() {
	if File_pkg_model_notificationevent_proto != nil {
		return
	}
	file_pkg_model_application_proto_init()
	file_pkg_model_deployment_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_pkg_model_notificationevent_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NotificationEventDeploymentTriggered); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_model_notificationevent_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NotificationEventDeploymentPlanned); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_model_notificationevent_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NotificationEventDeploymentApproved); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_model_notificationevent_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NotificationEventDeploymentRollingBack); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_model_notificationevent_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NotificationEventDeploymentSucceeded); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_model_notificationevent_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NotificationEventDeploymentFailed); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_model_notificationevent_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NotificationEventDeploymentCancelled); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_model_notificationevent_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NotificationEventDeploymentWaitApproval); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_model_notificationevent_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NotificationEventDeploymentTriggerFailed); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_model_notificationevent_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NotificationEventApplicationSynced); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_model_notificationevent_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NotificationEventApplicationOutOfSync); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_model_notificationevent_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NotificationEventPipedStarted); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_model_notificationevent_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NotificationEventPipedStopped); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_pkg_model_notificationevent_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   13,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_pkg_model_notificationevent_proto_goTypes,
		DependencyIndexes: file_pkg_model_notificationevent_proto_depIdxs,
		EnumInfos:         file_pkg_model_notificationevent_proto_enumTypes,
		MessageInfos:      file_pkg_model_notificationevent_proto_msgTypes,
	}.Build()
	File_pkg_model_notificationevent_proto = out.File
	file_pkg_model_notificationevent_proto_rawDesc = nil
	file_pkg_model_notificationevent_proto_goTypes = nil
	file_pkg_model_notificationevent_proto_depIdxs = nil
}
